module.exports = {
    nodeEnv: process.env.NODE_ENV || "development",
    port: parseInt(process.env.PORT || "3001", 10),
    mongoDbUri: process.env.MONGODB_URI || "mongodb://musictopus-db/musictopus",
    secret: process.env.SECRET || "waemaeMe5ahc6ce1chaeKohKa6Io8Eik",
    discogsToken: process.env.DISCOGS_TOKEN,
    formspreeId: process.env.FORMSPREE_ID,
    matomoUrl: process.env.MATOMO_URL || "",
    matomoId: process.env.MATOMO_ID || "",
    siteName: process.env.SITE_NAME || "MusicTopus",
    awsAccessKeyId: process.env.AWS_ACCESS_KEY_ID,
    awsSecretAccessKey: process.env.AWS_SECRET_ACCESS_KEY,
    s3BaseFolder: process.env.S3_BASEFOLDER || "dev",
    s3Bucket: process.env.S3_BUCKET || "musictopus",
    s3Endpoint: process.env.S3_ENDPOINT || "s3.fr-par.scw.cloud",
    s3Signature: process.env.S3_SIGNATURE || "s3v4",
    jobsHeaderKey: process.env.JOBS_HEADER_KEY || "musictopus",
    jobsHeaderValue:
        process.env.JOBS_HEADER_VALUE || "ooYee9xok7eigo2shiePohyoGh1eepew",
    registrationOpen:
        (process.env.REGISTRATION_OPEN || "true").toLowerCase() === "true",
    mailMethod: process.env.MAIL_METHOD || "formspree",
    smtpConfig: {
        host: process.env.MAIL_HOST,
        port: process.env.MAIL_PORT,
        auth: {
            user: process.env.MAIL_USER,
            pass: process.env.MAIL_PASSWORD,
        },
    },
    mailTo: process.env.MAIL_TO,
};
