import mongoose from "mongoose";

const { Schema } = mongoose;

const AlbumSchema = new mongoose.Schema(
    {
        User: {
            type: Schema.Types.ObjectId,
            ref: "Users",
        },
        discogsId: Number,
        year: Number,
        released: Date,
        uri: String,
        artists: Array,
        artists_sort: String,
        labels: Array,
        series: Array,
        companies: Array,
        formats: Array,
        title: String,
        country: String,
        notes: String,
        identifiers: Array,
        videos: Array,
        genres: Array,
        styles: Array,
        tracklist: Array,
        extraartists: Array,
        images: Array,
        thumb: String,
        thumbType: String,
    },
    { timestamps: true }
);

export default mongoose.model("Albums", AlbumSchema);
